package com.usky.backend.service;


import com.usky.backend.domain.StatusVO;
import com.usky.backend.domain.request.HistoryQueryVo;
import com.usky.backend.domain.request.LastQueryVo;
import com.usky.backend.domain.response.HistoryResultVo;
import com.usky.backend.domain.response.LastResultVo;
import com.usky.backend.domain.DataAverageExportVO;
import com.usky.backend.domain.DataAverageRequestVO;
import com.usky.backend.domain.DataAverageResponseVO;
import com.usky.backend.domain.DataTotalRequestVO;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;
import java.util.Map;

public interface DataQueryService {
    HistoryResultVo historyMetric(String deviceId, String metric, String startTime, String endTime,String typeAbbrevia);

    List<HistoryResultVo> historyMetrics(HistoryQueryVo historyQueryVo);

    List<LastResultVo> last(LastQueryVo lastQueryVo);

    List<StatusVO> status();

    List<Map<String,Object>> deviceDataTotal(DataTotalRequestVO requestVO);

    List<DataAverageResponseVO> deviceDataAverage(DataAverageRequestVO requestVO);

    List<DataAverageExportVO> DataAverageExport(DataAverageRequestVO requestVO);
}
